| Home | Libraries | People | FAQ | More

#### buffer (8 of 28 overloads)

Create a new modifiable buffer that represents the given POD array.

    template<
        typename PodType,
        std::size_t N>
    mutable_buffers_1 buffer(
        PodType (&data)[N],
        std::size_t max_size_in_bytes);

###### Return Value

A `mutable_buffers_1` value equivalent to:

    mutable_buffers_1(
        static_cast<void*>(data),
        min(N * sizeof(PodType), max_size_in_bytes));